Package twisted :: Package internet :: Module interfaces :: Class IConsumer

[show private | hide private]
[frames | no frames]

## Class IConsumer

    Interface --+
                |
               IConsumer

A consumer consumes data from a producer.

Method Summary
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` The producer will write data by calling this method.

Method Details

### registerProducer(self, producer, streaming)

Register to receive data from a producer.

This sets self to be a consumer for a producer. When this object runs out of data on a write() call, it will ask the producer to resumeProducing(). A producer should implement the IProducer interface.

### unregisterProducer(self)

Stop consuming data from a producer, without disconnecting.

### write(self, data)

The producer will write data by calling this method.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:04 2003 | http://epydoc.sf.net